#{extends 'border.html'/}
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{prakatalog.penawaranCtr.detail(id)}">&{'detail_penawaran.label'}</a></li>
				<li class="active">&{'berita_acara.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
#{alert /}
    <div class="row">
        <div class="col-md-12">
            *{<div class="panel panel-default">}*
                *{<div class="panel-heading"><h5>&{'berita_acara.label'}</h5></div>}*
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active">
                        <a href="#tab1" aria-controls="group-role" role="tab" data-toggle="tab">&{'buat.label'} &{'berita_acara.label'}</a>
                    </li>
                    <li role="presentation">
                        <a href="#tab2" aria-controls="group-role" role="tab" data-toggle="tab">&{'unggah.label'} &{'berita_acara.label'}</a>
                    </li>
                </ul>

                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane active form-horizontal" id="tab1">
                        <div class="panel panel-default">
                            <br/>

                            <div class="form-group required">
                                <label class="control-label col-md-2">&{'jenis_berita_acara.label'}</label>
                                <div class="col-md-7">
                                    <select class="form-control" name="ba.tahapan" id="batahapan" required>
                                        <option value="">&{'pilih_dokumen.label'}</option>
                                    #{list baList, as:'bl'}
                                        <option value="${bl.id}">${bl.jenis_dokumen}</option>
                                    #{/list}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="control-label col-md-2">Nomor Berita Acara</label>
                                <div class="col-md-7">
                                    <input type="text" name="noBa" id="no_ba"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-2"></div>
                                <div class="col-md-5"><button class="btn btn-primary" id="generateba"><i class="fa fa-refresh"> </i> &{'buat.label'} &{'berita_acara.label'}</button></div>
                            </div>
                            <div class="row">
                                <br/>
                                <div class="col-md-12">

                               *{ #{form @prakatalog.PenawaranCtr.downloadDocBA(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data', target:'_blank'}}*
                               #{form @prakatalog.PenawaranCtr.simpanBA(), method:'POST', class:'form-horizontal cetak', enctype:'multipart/form-data'}
                                    <textarea id="mytextarea" name="mytextarea"></textarea>
                                    <div>
                                        <br/>
                                        <button class="btn btn-md btn-danger" type="submit" id="download">
                                            <i class="fa fa-download"></i> &{'simpan.label'}
                                        </button>
                                    </div>
                                   <input type="hidden" value="${id}" name="penawaranId" id="penawaran_id"/>
                                   <input type="hidden" name="dokumenId" id="dokumen_id"/>
                                   <input type="hidden" name="noBa" id="noba_id"/>
                                   <input type="hidden" value="0" name="baId" id="ba_id"/>
                                #{/form}
                                </div>
                            </div>
                            <br/>
                        </div>
                    </div>
                    <div role="tabpanel" class="tab-pane form-horizontal" id="tab2">
                        <div class="panel panel-default">
                        <br/>
                        <div class="div-upload">
                        #{form @prakatalog.PenawaranCtr.uploadBA(), method:'POST', class:'form-horizontal-upload', enctype:'multipart/form-data'}
                            #{if aktifUser.isPokja()}
                                <div class="form-group">
                                    <label class="control-label col-md-2">&{'jenis_berita_acara.label'} : </label>
                                    <div class="col-md-7">
                                        <label id="label-jenis-ba"></label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">&{'nomor_berita_acara.label'} </label>
                                    <div class="col-sm-2">
                                        <label id="label-no-ba"></label>
                                    </div>
                                </div>
                                <div class="form-group required" id="formInputFile">
                                    <label class="control-label col-md-2">&{'file.label'}</label>
                                    <div class="col-md-5" id="buttonInput">
                                        <!-- <input  type="file" name="file" class="btn col-md-12"></input> -->
                                        <label class="btn btn-default" for="my-file-selector" id="selectorFile">
                                                <input id="my-file-selector" type="file" accept="application/pdf, .doc, .docx " name="file" style="display:none"  required
                                                onchange="$('#upload-file-info').html(this.files[0].name)">
                                                <i class="fa fa-upload"></i> &{"unggah_file.label"}
                                            </label>
                                            <span class='label label-default' id="upload-file-info"></span>
                                            <a class="delete-file btn btn-danger btn-sm" id="deleteFile" >
                                                <i class="fa fa-trash"> </i></a>

                                            <input type="hidden" name="idBa" id="idBa"/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-2"></div>
                                    <div class="col-md-5"><button class="btn btn-primary" id="uploadFile">Upload File</button></div>
                                </div>
                            </div>
                                <br/>
                            #{/if}
                        #{/form}
                            <table class="table">
                                <thead>
                                    <th>&{'jenis_dokumen.label'}</th>
                                    <th>&{'nomor_berita_acara.label'}</th>
                                    <th>&{'tanggal_buat.label'}</th>
                                    <th>&{'aksi.label'}</th>
                                </thead>
                                <tbody>
                                *{#{if jumlahBA >0} ${jumlahBA}}*
                                *{<tr><td>&{'belum_ada_berita_acara.label'}</td></tr>}*
                                *{#{/if}}*
                                    #{list bas, as:'ba'}
                                    <tr>
                                        <td class="text-left">${ba.jenis_dokumen}</td>
                                        <td class="text-center">${ba.no_ba}</td>
                                        <td class="text-center">${ba?.getReadableCreatedDate()}</td>
                                        <td>
                                            <a class="download-file btn btn-info btn-sm" href="@{prakatalog.PenawaranCtr.downloadDocBA(ba.id)}" target="_blank">
                                                <i class="fa fa-download"> </i> &{'unduh.label'} &{'draft_berita_acara.label'}
                                            </a>
                                            <a class="download-file btn btn-success btn-sm" #{if ba.url_download != null } href="${ba.url_download}" target="_blank"#{/if} #{else ba.url_download == null} disabled #{/else}>
                                                <i class="fa fa-download"> </i> &{'unduh.label'} &{'berita_acara.label'}
                                            </a>
                                            #{if aktifUser.isPokja()}
                                                <a class="upload-trigger-file btn btn-primary btn-sm" data-id="${ba.id}" data-jenis="${ba.jenis_dokumen}" data-no="${ba.no_ba}"
                                                   data-file="${ba.nama_file}" data-idfile="${ba.blb_id}" data-toggle="modal">
                                                    <i class="fa fa-upload"> </i> &{'unggah.label'}
                                                </a>
                                            <a class="edit-file btn btn-warning  btn-sm" data-id="${ba.id}">
                                                <i class="fa fa-pencil"> </i> &{'ubah.label'}
                                            </a>
                                            <a class="remove-ba btn btn-danger btn-sm" data-id="${ba.id}">
                                                <i class="fa fa-trash-o"> </i> &{'hapus.label'}
                                            </a>
                                        #{/if}
                                        </td>
                                    </tr>
                                    #{/list}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            *{</div>}*
        </div>
    </div>
</div>

#{validationPackage/}

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){
        var penawaranId = $("#penawaran_id").val();
        $('#deleteFile').hide();
        $(".div-upload").hide();
        //$(".form-horizontal-upload").validate();
        $(".remove-ba").click(function(){
            var baId = $(this).attr("data-id");
            var parent = $(this).parent().parent();
            if(confirm('Hapus Berita Acara?')){
                $.ajax({
                    type: 'POST',
                    url: '@{prakatalog.penawaranCtr.hapusBeritaAcara()}',
                    data : {'baId': baId},
                    success : function(){
                        $(parent).remove();
                    },
                    error : function(){
                        alert("berita acara tidak bisa di hapus!");
                    }
                });
            }
        });

        $(".edit-file").click(function () {
            var baId = $(this).attr("data-id");
            $(document).ajaxStart(function(){$.showLoading();});
            $.ajax({
                type: "POST",
                url:'@{prakatalog.penawaranCtr.getBeritaAcara()}',
                data : {'baId': baId},
                success : function(data){
                    $("#batahapan").val(data.dokumen_template_id)
                    tinyMCE.activeEditor.setContent(data.dokumen_ba);
                    $('.nav-tabs a[href="#tab1"]').tab('show');
                    $("#download").prop('disabled',false);
                    document.getElementById("ba_id").value = baId;
                    document.getElementById("no_ba").value = data.no_ba;

                },
                error : function(){
                    alert("tidak bisa diedit!");
                }
            });
            $(document).ajaxComplete(function(){$.hideLoading();});
        });

        $(".upload-trigger-file").click(function(){
            var jenis_ba = $(this).data('jenis');
            var no_ba = $(this).data('no');
            var id = $(this).data('id');
            var nama_file = $(this).data('file');
            var idFile = $(this).data('idfile');

            $('#label-jenis-ba').text(jenis_ba);
            $('#label-no-ba').text(no_ba);
            document.getElementById('idBa').value=id;

            // console.log(idFile);

            if(idFile>0){
                $("#uploadFile").hide();
                $("#selectorFile").hide();
                $('#deleteFile').show();
                $("#upload-file-info").text(nama_file);
                $("#deleteFile").attr("data-fileId",idFile);
            }else{
                $("#uploadFile").show();
                $("#selectorFile").show();
                $("#upload-file-info").text("");
                $("#deleteFile").hide();
            }

            $(".div-upload").toggle(500);
        });

        $('#deleteFile').click(function(){
            var idFile = $(this).data('fileid');
            if(confirm('Hapus File ?')){
            $.ajax({
                type:'POST',
                url:'@{prakatalog.penawaranCtr.hapusFileBA()}',
                data: {'idFile': idFile},
                success:function(data){
                    location.reload();
                },
                error:function(){
                    console.log("error");
                }
            });
            }
        });

        tinymce.init({
            selector: '#mytextarea',
            plugins : 'advlist autolink lists charmap print preview code table',
            a_plugin_option: true,
            a_configuration_option: 400,
            height:"400"
        });

        $("#download").prop('disabled',true);
        $("#generateba").click(function () {
            var templateId = $("#batahapan").val();
            var noBa = $("#no_ba").val();
            if(templateId==''){
                alert("Harap memilih Jenis Berita Acara yang akan digenerate");
            }else if(noBa==''){
                alert("Harap mengisi Nomor Berita Acara terlebih dahulu");
            }else{
                $(document).ajaxStart(function(){$.showLoading();});
                $.ajax({
                    type: 'GET',
                    url: '@{prakatalog.penawaranCtr.loadBeritaAcara()}',
                    data: {
                        'templateId': templateId,
                        'penawaranId': penawaranId,
                        'noBa':noBa
                    },
                    success: function (data) {
                        tinyMCE.activeEditor.setContent(data.template);
                        $("#download").prop('disabled',false);
                        document.getElementById('dokumen_id').value=templateId;
                        document.getElementById('noba_id').value=noBa;
                        document.ajaxComplete(function(){$.hideLoading();});
                    },
                    error: function () {
                        console.log("error");
                    }
                });
            }
        });

        jQuery('.cetak').submit(function(){
            var kontrakDocs  = tinymce.get('mytextarea').getContent();
            var kontrakDocsE = htmlEscape(kontrakDocs);//ini fungsi encode
            tinymce.get('mytextarea').setContent(kontrakDocsE);
        });
    });
</script>
#{/set}
<style>
    .form-group .control-label:after {
  content:"*";
  color:red;
}
</style>